package com.koobietech.eas.service.config;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author lc
 *
 * 配置数据库记录权限太麻烦了
 * 使用注解又不够灵活
 * 我觉得使用配置项 作为权限配置
 * 比较合适 因此有了这个配置文件
 * 作为基于 动态权限和固定权限中间的选项
 *
 */
@Data
public class EasAuthorityConfig {
    private List<String> student = new ArrayList<>();
    private List<String> teacher = new ArrayList<>();
    private List<String> easgroup = new ArrayList<>();
    private List<String> admin = new ArrayList<>();
}
